# Collection Updated Receive a notification when an asset is added to or removed from a Collection. Endpoint: POST collection.updated Version: v1.0 Security: OAuth2 ## Request fields (application/json): - `eventType` (string) Combination of the Topic and the Event Example: "collection.updated" - `event` (object) Object containing event information and the user who triggered the event. - `event.id` (string) Unique identifier of the webhook event itself Example: "some-event-type-d231cf1d-86b2-436e-95de-b745c39d2ed5" - `event.time` (string) Date/Time that the webhook event occurred. Example: "2024-05-09T17:55:28.462Z" - `event.user` (object) - `event.user.id` (string) The Tenovos User ID for the user who caused the event Example: "7d675ef0-f423-11e9-8071-89c0c405214e" - `event.user.firstName` (string) First Name of the User Example: "Erlich" - `event.user.lastName` (string) Last Name of the User Example: "Bachman" - `collection` (object) - `collection.id` (string) The unique identifier of the Collection from Tenovos Example: "147c8d3d-e0f4-497f-86d3-aa2a4166f304" - `collection.name` (string) The name given to the Collection Example: "Outdoor 2025 Spring Catalog" - `collection.type` (string) The type of collection, either shared or private Enum: "Private", "Shared" - `collection.metadata` (array) Array containing an object for each metadata attribute that was updated on the associated Collection. Attributes not updated are not included in the payload. - `collection.security` (object) Object containing the current and previous values of the updated collection. 'previousValues' represents the Security Template values applied to the Collection before the updates we made. - `collection.security.current` (array) Array containing the Security Template values applied to the Collection after this updates was saved. - `collection.security.current.id` (string) Unique Identifier of the Security Template. Example: "42b5dc04-79af-4911-93aa-96d73b1c2f75\"" - `collection.security.current.name` (string) The name given to the Security Template Example: "View and Download Consumer" - `collection.security.previous` (array) Array containing the Security Template values applied to the Collection before this update was made. ## Response 200 fields